t0 = 0:1000;
t = t0.*10^(-12);
t1 = (1001:1100).*10^(-12);
delay = 100;
append = zeros(1,delay);

w = 2*10^(14) + 7.*(t0).*(10^7);

sig = (sin(pi.*0.001.*t0).*exp(1i.*w.*t)).^3;

A = [sig append];
B = [append sig];
C = A + B;

hold on
plot([t t1],abs(2*A),'--','Color',[0 0 1],'LineWidth',3)
plot([t t1],abs(C),'-','Color',[1 0 0],'LineWidth',4)
XLIM([0 max(t1)])
xlabel('t[s]')
ylabel('Intensity')
hold off