function F = fidelity(P,S)
% returns the square root fidelity
warning off all
% P = sqrtm(P*P'); % To ensure they are
% S = sqrtm(S*S'); % Hermitian
sP = sqrtm(P);
Q = sP*S*sP;
sQ = sqrtm(Q);
F = trace(sQ);