function R_0 = keyGenRate(F,A,QBER,who)

delta_0 = QBER; delta_1 = QBER;
u = (A^2); q_ph = 1-exp(-u); % Probability of nonvacuum event

if (who == 'M') % Mary
    delta_ph = Delta_ph(F,delta_1,1,q_ph);
else % Koashi
    delta_ph = Delta_ph(F,delta_1,1);
end

R_0 = 1 - H(min(0.5, delta_ph)) - H(delta_0);
R_0 = max(real(R_0),0);